Hanzo
API Reference

Hanzo KV API

Hanzo KV provides a managed key-value store with caching, pub/sub messaging,

Hanzo KV provides a managed key-value store with caching, pub/sub messaging,

Base URLhttps://kv.hanzo.ai
Version1.0.0
Operations31
GuideHanzo KV API guide

Authentication

  • bearerAuth — HTTP bearer
  • BearerAuth — HTTP bearer

All Hanzo APIs share one bearer credential and common error and pagination conventions. See API conventions.

curl -H "Authorization: Bearer $HANZO_API_KEY" https://kv.hanzo.ai

Endpoints

Clusters

MethodEndpointDescription
GET/v1/kv/clustersList KV clusters
POST/v1/kv/clustersCreate KV cluster
GET/v1/kv/clusters/{id}Get cluster
PUT/v1/kv/clusters/{id}Update cluster
DELETE/v1/kv/clusters/{id}Delete cluster
GET/v1/kv/clusters/{id}/statsGet cluster stats

Hash

MethodEndpointDescription
GET/v1/kv/hash/{key}Get all hash fields
PUT/v1/kv/hash/{key}Set hash fields
GET/v1/kv/hash/{key}/{field}Get hash field
DELETE/v1/kv/hash/{key}/{field}Delete hash field

Health

MethodEndpointDescription
GET/healthHealth check

Keys

MethodEndpointDescription
GET/v1/kv/keysScan keys
GET/v1/kv/keys/{key}Get key value
PUT/v1/kv/keys/{key}Set key value
DELETE/v1/kv/keys/{key}Delete key
PUT/v1/kv/keys/{key}/ttlSet key TTL
POST/v1/kv/keys/{key}/incrIncrement numeric key
POST/v1/kv/batchBatch get/set/delete

List

MethodEndpointDescription
GET/v1/kv/list/{key}Get list range
POST/v1/kv/list/{key}/pushPush to list
POST/v1/kv/list/{key}/popPop from list

Namespaces

MethodEndpointDescription
GET/v1/kv/namespacesList namespaces
POST/v1/kv/namespacesCreate namespace
GET/v1/kv/namespaces/{name}Get namespace
DELETE/v1/kv/namespaces/{name}Delete namespace and all keys

Pub/Sub

MethodEndpointDescription
POST/v1/kv/pubsub/publishPublish message to channel
GET/v1/kv/pubsub/subscribeSubscribe to channels (SSE)
GET/v1/kv/pubsub/channelsList active channels

Streams

MethodEndpointDescription
GET/v1/kv/streams/{key}Read stream entries
POST/v1/kv/streams/{key}/addAdd entry to stream
GET/v1/kv/streams/{key}/infoGet stream info

Hanzo KV API guide · All Hanzo APIs · OpenAPI spec

How is this guide?

On this page